### Method

# Clutter Scriptable get_id

#### Declaration [src]

    const gchar*
    clutter_scriptable_get_id (
      ClutterScriptable* scriptable
    )

#### Description [src]

Retrieves the id of `scriptable` set using `clutter_scriptable_set_id()`.

#### Return value

Type: `const gchar*`

The id of the object. The returned string is owned by the scriptable object and should never be modified of freed.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.